Subject: Re: bug#50852: [PATCH] Fix search of the look program.

From: Stefan Kangas <[email-masked]>
Date: Tue, 28 Sep 2021 04:06:48 -0700

André A. Gomes <[email-masked]> writes:

> I don't think there's a GNU one, since it's not part of the GNU
> coreutils.
>
> Here's what the man page say:
>
> --8<---------------cut here---------------start------------->8---
> The look utility appeared in Version 7 AT&T Unix.
>
> The look command is part of the util-linux  package  and  is  available
>        from https://www.kernel.org/pub/linux/utils/util-linux/.
> --8<---------------cut here---------------end--------------->8---
>
> From the first sentence I inferred that it appeared in 1979.
>
> I had a look at the "look" program both on my GNU/Linux machine and on a
> modern Mac laptop.  Both have the same "look", none have the "-r" flag.

Maybe it's better to make all that stuff obsolete, indeed.

But I do wonder why the "-r" parameter was added.  It seems like it
depends on the `ispell-have-new-look' variable, added in the initial
revision in 1994 (commit 007852e00dd8).